## jansi 1.4

=== debian/changelog ===
jansi (1.4-3) unstable; urgency=low

  * Team upload.
  * Install Maven artifacts. Thanks to James Page for supplying the patch.
    (Closes: #635028)

 -- Torsten Werner <twerner@debian.org>  Sat, 30 Jul 2011 18:54:42 +0200

jansi (1.4-2) unstable; urgency=low

  * Add Build-Depends on ant, ant-optional and junit4 in order to enable
    unit tests during build time.
  * Remove dependency on default-jre-headless in order to comply with
    Debian Java policy. (Closes: #617815).
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 18 Mar 2011 19:03:56 -0430

jansi (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #591728),

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 21:39:40 -0430
