=== debian/control ===
Source: jansi
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 7.0.50~), default-jdk, javahelper,
 libjansi-native-java, libhawtjni-runtime-java, ant, ant-optional, junit4,
 maven-repo-helper
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://jansi.fusesource.org/
Vcs-Git: git://git.debian.org/git/pkg-java/jansi.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/jansi.git

Package: libjansi-java
Architecture: all
Depends: libjansi-native-java, libhawtjni-runtime-java, ${misc:Depends}
Description: Java library for generating and interpreting ANSI escape sequences
 Jansi is a small java library that allows you to use ANSI
 escape codes to format your console output which works across
 all platforms.
 .
 Jansi detects and abstracts the ANSI support provided
 by the attached terminal. When your Java application uses
 Jansi, it can always assume that standard out and error
 streams support ANSI sequences.
