## jansi 1.14

=== debian/changelog ===
jansi (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14. (Closes: #617874)
  * Drop orig-tar.sh.
  * d/control: Remove obsolete DM-Upload-Allowed field.
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and https.
  * Switch from Ant to Maven build system. Remove obsolete Javahelper and Ant
    files. Add Debian specific Maven files and use correct substvars.
  * Update debian/watch and track the github releases.
  * Skip all tests and remove junit4 from Build-Depends.
  * Update debian/copyright and switch to copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Oct 2016 21:11:55 +0200
