## jansi 1.16

=== debian/changelog ===
jansi (1.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Tighten build-dependeny on jansi-native to >= 1.7.
  * Ignore jansi-freebsd artifacts.
  * Update copyright holders in d/copyright.
  * d/control: Update homepage field.

 -- Markus Koschany <apo@debian.org>  Wed, 12 Jul 2017 09:39:12 +0200
