=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  debhelper (>= 10),
  default-jdk,
  libhawtjni-runtime-java,
- libjansi-native-java (>= 1.6),
+ libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 3.9.8
-Homepage: http://jansi.fusesource.org/
+Standards-Version: 4.0.0
+Homepage: https://fusesource.github.io/jansi/
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi.git
