=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


get-orig-source:
	uscan --download-current-version --force-download
