## jansi 1.17.1

=== debian/changelog ===
jansi (1.17.1-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871865)
  * Update copyright info.
  * Simplify d/rules.

  [ Emmanuel Bourg ]
  * New upstream release
    - Depend on libhawtjni-runtime-java (>= 1.16)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 16 Feb 2019 00:39:02 +0100
