## jansi 1.18

=== debian/changelog ===
jansi (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 23:50:48 +0200
