=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Miguel Landaeta <miguel@miguel.cc>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
- libhawtjni-runtime-java,
+ libhawtjni-runtime-java (>= 1.16),
  libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/jansi.git
+Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi.git
 
 Package: libjansi-java
 Architecture: all
