=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/fusesource/jansi/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)jansi-project-(\d\S*)\.tar\.gz
