=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-jdk,
  libhawtjni-runtime-java (>= 1.16),
  libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
