=== debian/changelog ===
jansi (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 13 Feb 2024 11:24:13 -0800

jansi (2.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.1.
  * Remove B-D on libjansi-native-java; not used during the build
  * Ignore spotless- and moditect-maven-plugins
  * Remove unneeded lintian-overrides

 -- tony mancill <tmancill@debian.org>  Thu, 04 Jan 2024 21:04:03 -0800

jansi (2.4.0-3) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjansi-java: Add Multi-Arch: foreign.

  [ tony mancill ]
  * Revert bypass TTY detection patch (Closes: #1039607)
    Colorized output on non-TTYs can be forced with -Djansi.mode=force
    For the mvn wrapper, use MAVEN_OPTS="-Djansi.mode=force" mvn ...
  * Upload to experimental to preserve current colorization behavior
    until other Debian Java build toolchain components are updated to
    force colorized output.
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2
  * Set Rules-Requires-Root: no in debian/control
  * Add lintian-overrides for Files-Excluded without source repack.
    This can be removed when either 2.4.0+ds or 2.4.1 are uploaded.

 -- tony mancill <tmancill@debian.org>  Sun, 24 Dec 2023 13:13:03 -0800
