=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  debhelper-compat (= 13),
  default-jdk,
  libhawtjni-runtime-java (>= 1.16),
- libjansi-native-java (>= 1.7),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
+Rules-Requires-Root: no
 
 Package: libjansi-java
 Architecture: all
@@ -22,6 +22,7 @@
  ${misc:Depends}
 Recommends:
  ${maven:OptionalDepends}
+Multi-Arch: foreign
 Description: Java library for generating and interpreting ANSI escape sequences
  Jansi is a small java library that allows you to use ANSI
  escape codes to format your console output which works across
