=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jansi-$1\.tar\.gz/ \
https://github.com/fusesource/jansi/tags .*/jansi-?(\d\S+)\.tar\.gz
