=== debian/changelog ===
jansi (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.7.3
  * Converted debian/watch to the version 5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Feb 2026 13:25:27 +0100
