=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libhawtjni-runtime-java (>= 1.16),
  libmaven-bundle-plugin-java,
  maven-debian-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/jansi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jansi
 Homepage: https://fusesource.github.io/jansi/
